$if not set fn $set fn myciel4.col
$echo  'set v verices /'              > h.gms
$echon '1*'                          >> h.gms
$call grep "^p" %fn%| cut -d" " -f3  >> h.gms
$echo  '/; set e(v,v) edges /'       >> h.gms
$echo  '$ondelim offlisting'         >> h.gms
$call grep "^e" %fn%| cut -d" " -f2- >> h.gms
$echo  '/;'                          >> h.gms

$include h.gms
$onlisting

$include header.inc

alias (v,k);
variable z, x(v,k), b(k);
binary variables x,b;

alias (v,w);

equation defobj, defedge, defone, defseq;

defobj.. z =e= sum(k, b(k));

defedge(e(v,w),k).. x(v,k) + x(w,k) =l= b(k);

defone(v).. sum(k, x(v,k)) =e= 1;

defseq(k).. b(k) =g= b(k+1);

model gc /defobj, defedge, defone, defseq /;

$onecho  > cplex.o15
intsollim 1
*dumpcuts 1
*dumptree 2
*heurfreq 0
*runsheur -1
*startalg 4
$offecho
option mip=cplex;
gc.optfile=15;

*execute_loadpoint 'fracxbmrb.gdx', x, b;
*display x.l, b.l;

*option limrow=1e9;
solve gc using mip min z;
*$exit
set is / is1*is%maxcols% /
    isv(is,v);
scalar cnt /0/;

b.l(k)   = round(b.l(k));
x.l(v,k) = round(x.l(v,k));
loop(k$b.l(k),
  cnt = cnt+1;
  isv(is,v)$(ord(is)=cnt) = x.l(v,k);
);

