* GDX files
$setglobal minfo     minfo     // gdx file with information from node processing
$setglobal binfoin   binfoin   // gdx file with information needed for branching
$setglobal binfo     binfo     // gdx file with information coming from branching process
$setglobal incumbent incumbent // gdx file with information from last integer solution

* GAMS files
$setglobal initfile  init      // name of gams file with input data for root node
$setglobal master    master    // name of gams file with column generation process
$setglobal branching branching // name of gams file with branching process
$setglobal subp      maxiset   // name of gams file with sub problem


* defbug file
$setglobal fdebug debug.log
file fdebug /"%fdebug%"/; fdebug.ap=1;

* B&P parameters
$if not set nrnodes  $setglobal nrnodes   9000      // maximal nodes of nodes processed in the search tree
$if not set exectime $setglobal exectime  1000      // time to process search tree
$if not set rgap     $setglobal rgap       0.0      // relative gap
$if not set agap     $setglobal agap       0.99999  // relative gap

* solver
option mip=cplexd, rmip=cplexd;

* Instanz
* maximum columns added in one solve of the master
$setglobal maxcolspm 3000
$setglobal maxcols  10000
$exit

*#########
*#########
$setglobal exa martin1
*$setglobal cggamsloop 1

